/*
* @Author: Rot
* @Date:   2017-10-23 16:04:49
* @Last Modified by:   Rot
* @Last Modified time: 2017-11-30 21:44:43
*/
header { max-width: inherit; }
fixed-header, .ge-header-container, .ge-container { max-width: var(--ge-main-small-width); margin: 0 auto; }
.ge-image-width {
	width: 158px; height: 158px;
	border-radius: 100%;
	display: block;
	margin-bottom: 0;
}

.ge-article-option { fill: var(--ge-primary-text-color); }

.ge-user-info span[contenteditable="true"] {
	display: inline-block;
	min-width: 32px;
}

.ge-absolute { position: absolute; }
.ge-image-wrapper {
	position: absolute;
	width: calc(100% + 14px);
    height: calc(100% + 14px);
    top: -7px;
    left: -7px;
}
[ge-user-model] { display: none; left: 29%; top: 75%; }
.ge-follow.ge-following { background-color: rgb(54, 162, 235); color: white; }
.ge-follow.ge-following:hover { background-color: var(--ge-primary-color); color: white; }
.ge-pick-image {     
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    display: none;
    background: rgba(0,0,0,.54);
    -webkit-border-radius: 100%;
    border-radius: 100%;
}
.ge-pick-image > div {
	height: 100%;
}
.ge-follow:hover {
    background-color: var(--ge-background-button-light-color);
}
.ge-ver-4 { margin-top: 4px; margin-bottom: 4px; }
.ge-user-model {
	background-color: var(--ge-model-color);
    border: 1px solid hsl(0, 0%, 77%);
    box-shadow: 0 0 15px rgba(0,0,0,.18);
}
.ge-model-text { padding: 8px 16px; }
.ge-user-model > div {
	width: 556px;
}

.ge-user-model button { padding: 8px 16px; }

.ge-user-model input {text-align: left;}
.ge-pick-image button {
	fill: rgba(255,255,255,.65);
	transition: fill .3s;
	-webkit-transition: fill .3s;
}

.ge-pick-image:hover button {
	fill: rgba(255,255,255,.97);
}
.ge-join {
	font-size: 12.8px;
	margin-bottom: 16px;
	margin-top: 2px;
}

.ge-right12 {
	padding-right: 12px;
}

.ge-weight400 {
	font-weight: 400;
}
.ge-divider {
	height: 30px;
	margin-left: 16px;
	margin-right: 16px;
	color: var(--ge-primary-text-color);
	font-size: 14px;
}
.ge-divider:after { content: "."; }
.ge-height37 { height: 37px; }
.ge-right8 { padding-right: 8px; }
.ge-horizotal8 { padding-right: 8px; padding-left: 8px; }
.ge-vertical8 { padding-top: 8px; padding-bottom: 8px; }
.ge-top-16 { padding-top: 16px; }
.ge-mright16 { margin-right: 12px; }
.ge-border {
	padding-top: 24px;
	border-bottom: 1px solid var(--ge-primary-border-color);
}
.ge-follow {
	padding: 8px 16px;
	width: 100px;
	border: 1px solid var(--ge-primary-color);
	color: var(--ge-primary-color);
    border-radius: 6px;
    margin-top: 8px;
    transition: background-color .3s;
    -webkit-transition: background-color .3s;
}

.ge-user-follow + nav { margin-top: 8px; }
.article-description { line-height: 1.4;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    padding-top: 8px;
    color: var(--ge-primary-text-color); }

.ge-article-option:hover {
	fill: var(--ge-primary-text-dark-color);
}

/**
 * Timeline
 */

.ge-score-chart { width: 376px; margin-top: 24px; }
.ge-score-container { margin-left: -4px; margin-top: 20px; }
.ge-user-timeline img {
	width: 52px;
	height: 52px;
}

.ge-top16 {
	margin-top: 16px;
}
.ge-top { margin-top: 48px; margin-bottom: 24px; }
.ge-des { padding-bottom: 4px; margin-bottom: 18px; }
.ge-timeline {

}
.ge-finish { padding-top: 10px; padding-bottom: 4px; }
.ge-finish + div { padding-top: 4px; padding-bottom: 4px; }
.ge-mixin-item {
	border-bottom: 1px solid var(--ge-primary-border-color);
}

.ge-mixin-item:last-child { border-bottom: none; }

.ge-mixin-item .ge-space {
	padding-top: 16px;
    padding-bottom: 24px;
}

ge-image {
    position: relative;
    overflow: hidden;
    margin-top: 15px;
}
ge-image a { display: block; }
ge-real { height: 286px; }

.ge-mixin-content { width: var(--ge-article-search-width); }
.article-description { margin-top: 12px; color: rgba(0, 0, 0, 0.8); }
.article-title { padding-top: 20px; 
    word-break: break-word; }
.ge-times {
	font-weight: 400;
    padding-top: 6px;
    padding-bottom: 4px;
}

/** Article */
.ge-main-width { max-width: var(--ge-main-small-width); margin: 0 auto; }
.ge-tab-light { padding-top: 25px; padding-bottom: 20px; border-bottom: 1px solid var(--ge-primary-border-color); }
.ge-title { padding-top: 64px; padding-bottom: 32px; }
.ge-article-mode { border-bottom: 1px solid var(--ge-primary-border-color); }
.ge-edited, .ge-published { margin-top: 6px; font-size: 14px; }
.ge-right-4 { margin-right: 4px; }
.ge-top-4 { margin-top: 4px; }
.ge-limit-text {     
	display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis; 
}
.ge-write {
	height: 37px;
    line-height: 35px;
    padding: 0 16px;
    border: 1px solid var(--ge-primary-color);
    color: var(--ge-primary-color);
    -webkit-border-radius: 4px;
    border-radius: 4px;
    display: inline-block;
}

/**
 * Practice
 */

.ge-score { font-weight: 400; width: 86px; text-transform: uppercase; font-size: 18px; color: var(--ge-primary-text-color); }
.ge-score + span { width: 62px; }
.ge-right-align { text-align: right; }
